## org.eclipse.emf.ecore.xml.type.internal
Class DataValue.URI.MalformedURIException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.eclipse.emf.ecore.xml.type.internal.DataValue.URI.MalformedURIException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  DataValue.URI

    public static class DataValue.URI.MalformedURIException

extends java.io.IOException

MalformedURIExceptions are thrown in the process of building a URI or setting fields on a URI when an operation would result in an invalid URI specification.

See Also:
  Serialized Form

Constructor Summary
`DataValue.URI.MalformedURIException()` Constructs a `MalformedURIException` with no specified detail message.
`DataValue.URI.MalformedURIException(java.lang.String p_msg)` Constructs a `MalformedURIException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataValue.URI.MalformedURIException

    public DataValue.URI.MalformedURIException()

  Constructs a `MalformedURIException` with no specified detail message.

### DataValue.URI.MalformedURIException

    public DataValue.URI.MalformedURIException(java.lang.String p_msg)

  Constructs a `MalformedURIException` with the specified detail message.

  Parameters:
    `p_msg` - the detail message.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.